curl --request POST \
--url https://sandbox.api.fin.com/v2/beneficiaries \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"customer_id": "cust_123456",
"country": "USA",
"currency": "USD",
"account_holder": {
"type": "INDIVIDUAL",
"first_name": "John",
"last_name": "Doe",
"email": "john.doe@example.com",
"phone": "+1234567890"
},
"account_holder_address": {
"street_line_1": "456 Main Street",
"city": "Brooklyn",
"state": "US-NY",
"postcode": "11201",
"country": "USA",
"street_line_2": "Apt 5B"
},
"receiver_meta_data": {
"transaction_purpose_id": 1,
"occupation_remarks": "Software Engineer",
"relationship": "EMPLOYEE",
"nationality": "USA",
"transaction_purpose_remarks": "Monthly salary payment",
"occupation_id": 5,
"relationship_remarks": "Long-term contractor",
"govt_id_number": "JG1121316A",
"govt_id_issue_date": "2024-12-30",
"govt_id_expire_date": "2027-12-30"
},
"developer_fee": {
"fixed": 5,
"percentage": 2.5
},
"deposit_instruction": {
"currency": "USDC",
"rail": "POLYGON"
},
"refund_instruction": {
"wallet_address": "0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb",
"currency": "USDC",
"rail": "POLYGON"
},
"bank_account": {
"bank_name": "Chase Bank",
"number": "1234567890",
"scheme": "LOCAL",
"type": "CHECKING"
},
"bank_routing": [
{
"scheme": "ACH",
"number": "021000021"
}
],
"bank_address": {
"street_line_1": "123 Bank Street",
"city": "New York",
"state": "US-NY",
"postcode": "10001",
"country": "USA",
"street_line_2": "Suite 100"
},
"settlement_config": {
"auto_settlement": true
}
}
'{
"data": {
"id": "ben_123456",
"status": "active"
}
}Create a new beneficiary account for payments and transfers
curl --request POST \
--url https://sandbox.api.fin.com/v2/beneficiaries \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"customer_id": "cust_123456",
"country": "USA",
"currency": "USD",
"account_holder": {
"type": "INDIVIDUAL",
"first_name": "John",
"last_name": "Doe",
"email": "john.doe@example.com",
"phone": "+1234567890"
},
"account_holder_address": {
"street_line_1": "456 Main Street",
"city": "Brooklyn",
"state": "US-NY",
"postcode": "11201",
"country": "USA",
"street_line_2": "Apt 5B"
},
"receiver_meta_data": {
"transaction_purpose_id": 1,
"occupation_remarks": "Software Engineer",
"relationship": "EMPLOYEE",
"nationality": "USA",
"transaction_purpose_remarks": "Monthly salary payment",
"occupation_id": 5,
"relationship_remarks": "Long-term contractor",
"govt_id_number": "JG1121316A",
"govt_id_issue_date": "2024-12-30",
"govt_id_expire_date": "2027-12-30"
},
"developer_fee": {
"fixed": 5,
"percentage": 2.5
},
"deposit_instruction": {
"currency": "USDC",
"rail": "POLYGON"
},
"refund_instruction": {
"wallet_address": "0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb",
"currency": "USDC",
"rail": "POLYGON"
},
"bank_account": {
"bank_name": "Chase Bank",
"number": "1234567890",
"scheme": "LOCAL",
"type": "CHECKING"
},
"bank_routing": [
{
"scheme": "ACH",
"number": "021000021"
}
],
"bank_address": {
"street_line_1": "123 Bank Street",
"city": "New York",
"state": "US-NY",
"postcode": "10001",
"country": "USA",
"street_line_2": "Suite 100"
},
"settlement_config": {
"auto_settlement": true
}
}
'{
"data": {
"id": "ben_123456",
"status": "active"
}
}APPROVED status. Ensure the customer has been
approved before attempting to create beneficiaries.409 Conflict response.bank_account.schemebank_account.numberbank_routing.schemebank_routing.numbere_wallet.schemee_wallet.number409 Conflict error instead of creating a duplicate.
Note: Deactivating a beneficiary will prevent
it from conflicting with any future beneficiary you create, even if you use the same values for the 4 fields above.
^[0-9]{4,9}$ (4 to 9 numeric digits). This applies to both LOCAL and SWIFT schemes.Bearer token authentication. Obtain token from /v1/oauth/token endpoint
Unique identifier for the customer
"cust_123456"
ISO alpha-3 country code from catalog
^[A-Z]{3}$"USA"
3 letter currency code
"USD"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Array of bank routing information
Show child attributes
Show child attributes
Show child attributes
Beneficiary created successfully
Show child attributes